package com.ruoyi.orderPlan.mapper;

import com.ruoyi.orderPlan.domain.Ftmsorderbillscntrs;
import com.ruoyi.orderPlan.domain.Ftmsorderbillsplans;

import java.util.List;

/**
 * 箱型箱量Mapper接口
 *
 * @author ruoyi
 * @date 2021-02-22
 */
public interface FtmsorderbillscntrsMapper {
    /**
     * 查询箱型箱量
     *
     * @param id 箱型箱量ID
     * @return 箱型箱量
     */
    public Ftmsorderbillscntrs selectftmsorderbillscntrsById(Long id);

    /**
     * 查询箱型箱量列表
     *
     * @param ftmsorderbillscntrs 箱型箱量
     * @return 箱型箱量集合
     */
    public List<Ftmsorderbillscntrs> selectftmsorderbillscntrsList(Ftmsorderbillscntrs ftmsorderbillscntrs);

    /**
     * 新增箱型箱量
     *
     * @param ftmsorderbillscntrs 箱型箱量
     * @return 结果
     */
    public int insertftmsorderbillscntrs(Ftmsorderbillscntrs ftmsorderbillscntrs);

    /**
     * 修改箱型箱量
     *
     * @param ftmsorderbillscntrs 箱型箱量
     * @return 结果
     */
    public int updateftmsorderbillscntrs(Ftmsorderbillscntrs ftmsorderbillscntrs);

    /**
     * 修改箱型箱量
     *
     * @param ftmsorderbillscntrs 箱型箱量
     * @return 结果
     */
    public int updateTmsorderbillScntrsQty(Ftmsorderbillsplans ftmsorderbillscntrs);

    /**
     * 删除箱型箱量
     *
     * @param id 箱型箱量ID
     * @return 结果
     */
    public int deleteftmsorderbillscntrsById(Long id);

    /**
     * 批量删除箱型箱量
     *
     * @param ids 需要删除的数据ID
     * @return 结果
     */
    public int deleteftmsorderbillscntrsByIds(Long[] ids);

    /**
     *  根据上级id删除对应数据
     * @param pId   上级id
     * @return  结果
     */
    public int deleteftmsorderbillscntrsByPId(long pId);

    /**
     *  根据上级id查出对应数据
     * @param pId   上级id
     * @return  结果
     */
    public List<Ftmsorderbillscntrs> selectftmsorderbillscntrsByPId(long pId);

    /**
     *  根据来源id更新数据状态
     * @param ftmsorderbillscntrs   参数
     * @return 结果
     */
    public int updateTmsorderCntrStatusByOrgId(Ftmsorderbillscntrs ftmsorderbillscntrs);

}
